Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class WMPSGetCapabilitiesResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wmps.operation.WMPSGetCapabilitiesResult

All Implemented Interfaces:
  OGCWebServiceResponse

    public class WMPSGetCapabilitiesResult

extends DefaultOGCWebServiceResponse

Encapsulates a WMPS Result Object

--------------------------------------------------------

Version:
  2.0
Author:
  Anup Deshmukh

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`WMPSGetCapabilitiesResult(OGCWebServiceRequest request, OGCWebServiceException exception)` constructor initializing the class with the *
`WMPSGetCapabilitiesResult(OGCWebServiceRequest request, WMPSCapabilities capabilities)` constructor initializing the class with the

Method Summary
`WMPSCapabilities` | `getCapabilities()` returns the capabilities as result of an GetCapabilities request.
`void` | `setCapabilities(WMPSCapabilities capabilities)` sets the capabilities as result of an GetCapabilities request.

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMPSGetCapabilitiesResult

    WMPSGetCapabilitiesResult(OGCWebServiceRequest request,
                              WMPSCapabilities capabilities)

  constructor initializing the class with the

  Parameters:
    `request` -
    `capabilities` -

### WMPSGetCapabilitiesResult

    WMPSGetCapabilitiesResult(OGCWebServiceRequest request,
                              OGCWebServiceException exception)

  constructor initializing the class with the *

  Parameters:
    `request` -
    `exception` -

Method Detail

### getCapabilities

    public WMPSCapabilities getCapabilities()

  returns the capabilities as result of an GetCapabilities request. If an excption raised processing the request or the request has been invalid `null` will be returned.

  Returns:
    WMPSCapabilites

### setCapabilities

    public void setCapabilities(WMPSCapabilities capabilities)

  sets the capabilities as result of an GetCapabilities request. If an excption raised processing the request or the request has been invalid `null` will be returned.

  Parameters:
    `capabilities` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org